<app-header-logged pageOrigine="/mes-services" >
  <ion-back-button  text ="" defaultHref="/accueil-client-non-logge"></ion-back-button>
</app-header-logged>

<ion-content scroll-y="true" scrollbar="true">

  <app-refresher></app-refresher>

<div  class="containerContrat">

<div class="inputs">
    <div class ="inputBlock">
        <ion-searchbar mode="ios" (ionChange)="onSearchService()" [(ngModel)]="valCherche" placeholder="rechercher"></ion-searchbar>
    </div>
    <div class ="inputBlock selectInput">
        
        <div class ="itemInput">
            <ion-select (ionChange)="onSearchService()"   [(ngModel)]="critereFiltre" placeholder="trier par " [value]=filtreByType>
                <ion-select-option [value]=filtreByType><small>type service</small></ion-select-option>
                
                <ion-select-option [value]=filtreByStatut> statut</ion-select-option>
                
            </ion-select> 
        </div>
    </div>
</div>

<!--  <ion-slide *ngIf="services !=null && services.length !=0"> -->
<!-- new template -->
<div class="mesAction">
  <p class="mesHeading">Demandes De Services</p>
  
	
  <ion-grid no-padding  *ngIf="services && services.length > 0; else noServices">
      <ion-row  no-margin>
        <ion-col text-center size ="1" >
         <p class ="colonneListe"> </p>
          </ion-col>
          <ion-col text-center>
              <p class ="colonneListe">N°</p>
          </ion-col>
          <ion-col text-center >
              <p class ="colonneListe">typeService</p>
          </ion-col>
          <ion-col text-center>
              <p class ="colonneListe"> Date de la demande</p>
          </ion-col>
         
           
          <ion-col  text-center >
              <p class ="colonneListe">  Statut </p> 
          </ion-col>
          <ion-col size="0.4" text-right   >
              <!-- <p class ="colonneListe"> <small>Statuts </small>  </p> -->
          </ion-col>     
      </ion-row>
      
      
      <ion-row no-margin class ="rowItem" (click)="voirService(service)"  *ngFor="let service of services" >
        <ion-col text-center size ="1">
            <img class ="iconeVoiture" src="../../assets/icon/car.svg">
        </ion-col>
        <ion-col text-center >
            <p class ="colonneListe" >{{service.id}}</p> 
        </ion-col>
          <ion-col text-center >
              <p class ="colonneListe" >{{service.typeService}}</p> 
          </ion-col>
          <ion-col text-center >
              <p class ="colonneListe" >{{utilsService.displayDate(service.dateOuvertureDemande)}}</p> 
              
          </ion-col>
          <ion-col text-center >
              <p class ="colonneListe" >{{service.statut}}</p> 
          </ion-col>
       
         
          <ion-col text-left size="0.4" >
              <p class ="colonneListe statusLight " [ngClass]= "[(service.statut== statutDemandeAffecteeLoc || service.statut== statutDemandePriseEnChargeLoc) ?'statusaffecte':'',service.statut==statutDemandeEnCoursDeTraitementLoc?'statusEnCoursTraitement':'',service.statut== statutDemandeClotureeLoc?'statusCloture':'']">   </p>
          </ion-col>     
      </ion-row>
  </ion-grid>
  <ng-template #noServices>
      
      <p text-center class ="noServices">Aucun automobile ne correspond à votre sélection</p>    
      
  </ng-template>
  
  
</div>         

<ion-button class = "newContrat " (click)="creerAutomobile()"   size ="small" shape="round"  >
  <ion-text >Nouveau Vehicule</ion-text> 
</ion-button>
<!-- <ion-grid style="margin-top : 0px ;">
      <ion-row>
             <ion-col text-left>
                    <ion-button class="boutonSwipe" (click)="swipeBack()"><ion-icon  name ="arrow-back"></ion-icon>PRECEDENT </ion-button>
             </ion-col>
             
             <ion-col text-right>
                    <ion-button class="boutonSwipe" (click)="swipeNext()">SUIVANT <ion-icon name ="arrow-forward"></ion-icon></ion-button>
             </ion-col>
      </ion-row> 
</ion-grid> -->
</div> 







</ion-content>
<ion-footer>
<app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>